# Custom Id

You can set a custom id in order to track/target users with id coming from different platforms.

To set a custom id:

```dart
MBAudience.setCustomId('CUSTOM_ID');
```

To remove it:

```dart
MBAudience.removeCustomId();
```

To retrieve the current saved id:

```dart
String customId = await MBAudience.getCustomId();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ep.mburger.cloud/flutter-docs/audience/custom-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
